#### D.14.1.38 arrLattice

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrLattice(arr ARR)

Return:
  [arrposet] intersection poset of the arrangement

Note:
  The algorithm works by a bottom up approach, i.e. it calculates the

Example:

    LIB "arr.lib";
    ring r;
    arrLattice(arrTypeB(3));
    ==>
    ==>
    ==> === Computing poset ===
    ==>
    ==>
    ==> rank 2: found 13 flats in 0s
    ==> rank 3: found 1 flats in 0s
    ==>
    ==>
    ==> Matrix tests: 86
    ==> Given Arrangement:
    ==> _[1]=x-y
    ==> _[2]=x+y
    ==> _[3]=x-z
    ==> _[4]=x+z
    ==> _[5]=x
    ==> _[6]=y-z
    ==> _[7]=y+z
    ==> _[8]=y
    ==> _[9]=z
    ==>
    ==> Corresponding poset:
    ==> ====== rank 1: 9 flats ======
    ==>  (1),  (2),  (3),  (4),  (5),  (6),  (7),  (8),  (9),
    ==> ====== rank 2: 13 flats ======
    ==>  (1,2,5,8),  (1,3,6),  (1,4,7),  (1,9),  (2,3,7),  (2,4,6),  (2,9),  (3,4\
       ,5,9),  (3,8),  (4,8),  (5,6),  (5,7),  (6,7,8,9),
    ==> ====== rank 3: 1 flats ======
    ==>  (1,2,3,4,5,6,7,8,9),
    ==>

See also: arrFlats; arrLattice.

User manual for Singular version 4.4.1, 2025, generated by texi2html.